Локализация на български език за Kindle Keyboard (Kindle 3) 
==================================================================

Тази модификация за електронните книги Kindle Keyboard превежда потребителския интерфейс на български език. Това позволява устройството да се използва с лекота от потребители с ограничено владеене на чужди езици.

![Потребителски интерфейс на български език](https://raw.githubusercontent.com/kaloyan-raev/kindle-k3-l10n-bg/gh-pages/images/gui-bg.gif)
<br><br>
![Клавиатура на кирилица](https://raw.githubusercontent.com/kaloyan-raev/kindle-k3-l10n-bg/gh-pages/images/keyboard-bg.png)

Функционалност
==============

Към момента е предоставена следната функционалност:
* пълен превод на потребителския интерфейс на български език;
* клавиатурата позволява въвеждането на букви на кирилица. Вижте секцията "[Българска фонетична клавиатура](#Българска-фонетична-клавиатура)" за повече информация;
* 24-часов формат на часовника;

В следващите версии може да се очаква:
* превод на "Ръководството на потребителя" на български език.

В случай, че намерите неточност в превода, имате идея как да се подобри или при друг проблем, моля [отворете проблем](https://github.com/kaloyan-raev/kindle-k3-l10n-bg/issues/new) към проекта.

Инсталация
==========

За разлика от други устройства, Kindle е от затворен тип и е предвидено софтуерът му да се обновява и надгражда единствено от Amazon. За щастие е открит начин да се заобиколи тази забрана. За целта е необходимо устройството да се отключи (jailbreak), което отваря вратата към инсталиране на допълнителни модификации.

Пълната процедура по отключване e описана на български език в статията "[Отключване (jailbreak) на Kindle 3 Keyboard](https://hitrini.blogspot.bg/2017/03/jailbreak-kindle-3.html)".

След като устройството е отключено, може да пристъпите към инсталирането на локализацията.

1. Използвайте компютър, за да свалите инсталационния пакет от [последната версия](https://github.com/kaloyan-raev/kindle-k3-l10n-bg/releases/latest) на локализацията. Правилният инсталационен пакет се определя според първите 4 цифри от серийния номер на устройството:
- _update_loc_bg_1.0_k3w_install.bin_ за Kindle Keyboard Wi-Fi (сериен номер, започващ с __B008__);
- _update_loc_bg_1.0_k3g_install.bin_ за Kindle Keyboard Wi-Fi + 3G (сериен номер, започващ с __B006__)
- _update_loc_bg_1.0_k3gb_install.bin_ за Kindle Keyboard Wi-Fi + 3G (сериен номер, започващ с __B00A__)

Серийният номер може да намерите в меню _Settings/Настройки_, секция _Device Info/Информация за устройството_. Инсталационният файл трябва да се копират в главната папка на USB диска.

2. Свържете Kindle към компютъра чрез USB кабела. Изчакайте Kindle да се разпознае като USB диск на компютъра.
1. Копирайте инсталационния пакет в главната папка на Kindle.
1. Извадете Kindle като USB диск от компютъра, т.нар. "safe remove".
1. Извадете USB кабела от Kindle. Изчакайте Kindle да премине в нормален режим на работа.
1. Обновете Kindle: _Menu -> Settings -> Menu -> Update Your Kindle_.
1. Изчакайте около 2-3 минути. Устройството ще се рестартира. Потребителският интерфейс ще превключи автоматично на български език.

Горните стъпки могат да се използват и за инсталиране на по-нова версия на локализацията.

В случай на затруднения, моля [отворете проблем](https://github.com/kaloyan-raev/kindle-k3-l10n-bg/issues/new) към проекта.

Премахване
==========

Процедурата по премахване на локализацията е подобна на тази за инсталация. 

1. Използвайте компютър, за да свалите пакета за премахване от същата [версия](https://github.com/kaloyan-raev/kindle-k3-l10n-bg/releases) на локализацията, която сте инсталирали:
- _update_loc_bg_1.0_k3w_uninstall.bin_ за Kindle Keyboard Wi-Fi (сериен номер, започващ с __B008__);
- _update_loc_bg_1.0_k3g_uninstall.bin_ за Kindle Keyboard Wi-Fi + 3G (сериен номер, започващ с __B006__)
- _update_loc_bg_1.0_k3gb_uninstall.bin_ за Kindle Keyboard Wi-Fi + 3G (сериен номер, започващ с __B00A__)
2. Свържете Kindle към компютъра чрез USB кабела. Изчакайте Kindle да се разпознае като USB диск на компютъра.
1. Копирайте пакета за премахване в главната папка на Kindle.
1. Извадете Kindle като USB диск от компютъра, т.нар. "safe remove".
1. Извадете USB кабела от Kindle. Изчакайте Kindle да премине в нормален режим на работа.
1. Обновете Kindle: _Меню -> Настройки -> Меню -> Обновяване на Kindle_.
1. Изчакайте около 2-3 минути. Устройството ще се рестартира. Потребителският интерфейс ще превключи автоматично на английски език.

Българска фонетична клавиатура
==============================

Може да превключвате между стандартната английска клавиатура и българската фонетична клавиатура чрез клавишната комбинация _Shift+Enter_ (стрелка нагоре + стрелка надолу и наляво). При използването на клавишната комбинация ще видите индикатор в долния десен ъгъл на екрана, който показва текущата клавиатура: `en` – за английската клавиатура, `bg` – за българската фонетична клавиатура.

В режим на българска фонетична клавиатура се въвеждат буквите от българската азбука според следната схема:

![Клавиатура на кирилица](https://raw.githubusercontent.com/kaloyan-raev/kindle-k3-l10n-bg/gh-pages/images/keyboard-bg.png)

Тъй като клавишите на клавиатурата не достигат за всички букви от българската азбука, някои букви (Ч, Ш, Щ, Ю, Ѝ) се въвеждат чрез бързо (в рамките на половин секунда) натискане два пъти на съответния клавиш. Например, за да въведете буквата Ч, трябва да натиснете бързо два пъти клавиша Q. Така вместо буквата Я ще се въведе Ч.

Лиценз
======

Читанка за Kindle е безплатен и свободен софтуер. Разпространява се под лиценза GNU General Public License, версия 3. Пълният текст на лиценза може да видите във файла [LICENSE](https://github.com/kaloyan-raev/kindle-k3-l10n-bg/blob/master/LICENSE).
